Subject: WFS question

From: Chris Shelton <[email-masked]>
Date: Thu, 24 Aug 2000 14:41:29 -1000

Hi Buzz, Malcolm,

I totally forgot to bring up a question that concerns the IRTF WFS.

How much can the strehl be tuned up in software offsets without
impacting performance?  In the IRTF WFS, if all parts are made
as spheres, there is enough astigmatism to drop the on-axis
strehl to 0.7 at 0.8 micron.  Doug is angsting over putting a little
cylinder on one of the spheres to null this.

The choices are 
  1.  Do nothing, accept the 0.7 strehl
  2.  Make the toroidal part
  3.  Put an astigmatism adjuster in the WFS

Option 3 means that the science path astigmatism due to the dichroic
could be compensated for.  I'm about to get a number for this
for the two instruments.

Doing a good job on this decision means getting quantitative.  Any
guesses as to how much astigmatism can be put into software offsets
without a performance hit?

Cheers,
Chris

---

From: Chris Shelton <[email-masked]>
Date: Thu, 24 Aug 2000 15:26:13 -1000

Hi Malcolm, Buzz,

The current IRTF AO mechanical layout has the focal plane going into the
WFS in the middle of a hole in the optical bench.  It is essentially
inaccessible.  Is this OK?

For test purposes, one could conceive of removing the diagonal mirror after
that focus that folds the beam into the plane of the WFS.  This would put
a focal plane in a useful place on the bench during integration and test,
but it wouldn't be much help during operations.

Cheers, Chris

---

From: Chris Shelton <[email-masked]>
Date: Mon, 28 Aug 2000 14:44:56 -1000

Doug, Mal, Buzz,

The astigmatism due to the beamsplitter in Spex is actually pretty small,

0.17 waves p-v, or 
0.034 waves rms, or 
0.21 radian rms, or a 
0.96 strehl, all at 0.85 micron.

I don't have a recipe for NFSCam, but it should be the same, to the extent 
that its dichroic has a CaF2 substrate and is 6 mm thick. 

The astigmatism due to having all spherical mirrors in the WFS is larger, 
amounting to 

0.43 wave p-v, or 
0.082 waves rms, or 
0.51 radian rms, or a 
0.77 strehl, all at 0.85 micron.

Like Malcolm, I had thought that a tilt plate would be a useful addition
to the system.  

It turns out that to correct the WFS astigmatism by putting a tilt plate in 
the f/60 beam to the membrane mirror requires 50 mm of BK7 tilted 41 degrees.  
The f/60 beam is just to slow to get any astigmatism with a tilt plate.

It turns out that the vector direction of the astigmatism from the WFS
and the beamsplitter are only about 20 degrees apart, which is great
because if the science path and the WFS have the same astigmatism in
magnitude and direction, then the science image is perfectly corrected,
with no software or hardware offsets.

So the recommendation is to make the Spex beamsplitter substrate 9.7 mm
of CaF2 instead of 6 mm.  This minimizes the effective error, dropping it to 

0.29 wave p-v, or
0.060 waves rms, or
0.38 radians rms, or a
0.87 strehl, all at 0.85 micron.

In essence, this uses the science beamsplitter as the tilt plate for
the WFS, allowing the WFS mirrors to be all spherical with no astigmatism
penalty.

The lateral color due to the thicker beamsplitter is
  17 micron shift J vs K
  3 micron shift 2.2 vs 2.4 micron  (airy diameter is 205 micron),
  3 micron shift 1.1 vs 1.25 micron (airy diameter is 103 micron),
that is, small within any band, and not very big from band to band.

The opticians will probably be happier trying to put an AO quality
surface on the thicker CaF2 part.

If this concept is an acceptable one, I can also push around the WFS
layout to drop the 20 degree angle offset to something smaller,
perhaps zero.  It is due to some of the off-axis jogs being out of plane.
This will change the 9.7 mm prescription to something else, but 
probably not 6.0 mm.

Just for grins, I am attaching a pdf file showing a simple null test
setup for the toroidal part.  This may prove useful in the future, if
not for the IRTF system.

Cheers,
Chris

north wrote:
> 
> Hi Chris,
>         Probably a strehl of 0.7 at 0.8 micron is ok. If this is a concern,
> then making the part torodal would work. When I first read solution 3
> I liked it best, but I though you meant to use a physical corrector plate.
> Applying offsets in software is definitely feasible, but I have some
> reservations. I can think of two immediate problems with the software
> 1) means a reduction in SNR, due to having to run at lower membrane stroke,
>    This probably is not too significant unless the seeing gets really good,
>    because for it to be important the introduced astigmatism would have to
>    be similar in magnitude to the residual atmospheric aberrations after
>    correction.
>    I'd guess that under good seeing conditions (1/3"), we could handle up
>    to 1 radian RMS of astigmatism without a significant SNR related
>    performance hit.
> 2) Means that it is necessary to accurately calibrate the wavefront sensor
>    response. This is dependent on the membrane stroke, which is in turn
>    somewhat dependent on humidity. There is no real problem here for point
>    sources, but for extended objects the wfs response is difficult to
>    calibrate. Under normal conditions an error in calibration produces
>    a gain error, so its not too important.
> 
> I would recommend trying out the software approach, but leaving room
> retrofitting a corrector plate if deemed necessary at a later date. Combining
> a corrector plate with the software offsets would still allow for correction
> of astigmatism in the science path.
> 
> location. Running the
> >Date: Thu, 24 Aug 2000 14:41:29 -1000
> >From: Chris Shelton <[email-masked]>
> >X-Accept-Language: en
> >MIME-Version: 1.0
> >To: Buzz Graves <[email-masked]>, [email-masked],
> [email-masked], [email-masked]
> >Subject: WFS question
> >Content-Transfer-Encoding: 7bit
> >
> >Hi Buzz, Malcolm,
> >

---

From: Chris Shelton <[email-masked]>
Date: Tue, 29 Aug 2000 09:24:08 -1000

Hi Doug,

The last information you gave me was spex.zmx and spex2.zmx, on 8/27/99,
which shows 6 mm of CaF2 for the dichroic, 6.35 mm of CaF2 for the input 
window, with nothing said about a WFS window.

If you can put me up to date on the spex design, I can finish off the WFS
design.  At this point it looks like the optimal option, and the one that
minimizes your costs and mine, is all spherical mirrors, and a layout that
does some reasonable cancellation of astigmatism by design, with no moving
parts, no cylinder lenses, no tilt plate in the WFS.  This is in keeping 
with your ongoing philosophy of designing to alignment and bolting things 
down.  To do this right and quickly, I need the latest and hopefully frozen 
spex design, specifically the input and output windows and the beamsplitter 
materials, thicknesses, tilt angles and positions.  

The minimum to give you a quick answer on the ZeSe is what the new thickness 
is, assuming everything else hasn't changed too much.  The best solution is 
just to send the new spex zemax file.

If the back focus from the AO relay has changed, the relay design 
changes too. 

Both the original spex zemax file and the ao relay file had mathematical
approximations on the windows and OAPs that I have since tightened up
on my copy of the files.  Fixing these gives about a 3 mm focus shift, and 
about 9 mm movement of the DM when the math is done rigorously.  This is
probably below your threshold of concern, but we can talk about it if
you want.

Cheers,
Chris

Douglas Toomey wrote:
> 
> I beleive that the dichroic is made of ZnSe.
> Making a new dichroic is an option but not a super attractive
> one since we have these dichroics already and just bought them.
> It is a viable option however.  Does teh increase in index due to
> the ZnSe help maek the thickness closer.
> 
> Doug
> 
> ----- Original Message -----
> Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>;
> Buzz Graves <[email-masked]>
> Sent: Monday, August 28, 2000 2:44 PM
> Subject: Re: WFS question
> 
> > Doug, Mal, Buzz,
> >

---

From: Chris Shelton <[email-masked]>
Date: Tue, 29 Aug 2000 20:03:13 -1000

Doug,

Which email address will you want to settle on?
[email-masked]
[email-masked]?

If you want to keep getting mail from both, but have the ifa mail fowarded
to mkir, just make a file, using a text editor, with the contents

[email-masked]

and save under the name 

.forward 

(with the dot) in your home directory.

Chris

---

From: "Douglas Toomey" <[email-masked]>
Date: Mon, 28 Aug 2000 16:45:31 -1000

Doug

---

From: Buzz Graves <[email-masked]>
Date: Mon, 28 Aug 2000 15:07:44 -1000

Chris,

I like this second solution the best.  Given the limits in system 
performance the hit is lost in the noise.  A added plus is that the 
ghost from the beam splitter is further away with the thicker plate.

Buzz